complexType "ReportedExposure"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 29 elements
Defined: | globally in fpml-reporting-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | region?, country?, counterpartyType?, creditRating?, partyReference?, accountReference?, relatedParty*, cleared?, industryClassification?, category*, assetClass?, productType*, productId*, currency?, underlyingAsset?, relatedAsset*, exposureType?, indexTenor?, sector?, sectorType?, seniority?, restructuring?, couponRate?, (futuresEquivalentMonth? | priceReferenceMonth?)?, optionType?, expirationDate?, quote*, exposure*
</...>

Content Model Elements (29):

  accountReference (defined in PartyExposureCategory.model group),
  assetClass (defined in ProductExposureCategory.model group),
  category (defined in PartyExposureCategory.model group),
  cleared (defined in PartyExposureCategory.model group),
  counterpartyType,
  country (defined in PartyExposureCategory.model group),
  couponRate (defined in ProductExposureCategory.model group),
  creditRating (defined in PartyExposureCategory.model group),
  currency (defined in ProductExposureCategory.model group),
  expirationDate (defined in ProductExposureCategory.model group),
  exposure (defined in ReportedExposure complexType),
  exposureType,
  futuresEquivalentMonth,
  indexTenor (defined in ProductExposureCategory.model group),
  industryClassification,
  optionType (defined in ProductExposureCategory.model group),
  partyReference (defined in PartyExposureCategory.model group),
  priceReferenceMonth,
  productId (defined in ProductExposureCategory.model group),
  productType (defined in ProductExposureCategory.model group),
  quote (defined in ReportedExposure complexType),
  region,
  relatedAsset,
  relatedParty (defined in PartyExposureCategory.model group),
  restructuring (defined in ProductExposureCategory.model group),
  sector (defined in ProductExposureCategory.model group),
  sectorType,
  seniority (defined in ProductExposureCategory.model group),
  underlyingAsset (defined in ProductExposureCategory.model group)

All Direct / Indirect Based Elements (2):

  exposure (defined in ReportedExposure complexType), | exposure (in exposureReport)

Known Usage Locations

- As direct type of elements (2):

  exposure (defined in ReportedExposure complexType), | exposure (in exposureReport)

Annotation
A type defining the content model for an exposure record to a specific set of counterparty and market risk factors, as well as optionally to a series of sub-factors
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="ReportedExposure"> <xsd:sequence> <xsd:group ref="ExposureCategory.model"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="quote" type="BasicQuotation"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="exposure" type="ReportedExposure"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/29)
exposure

  Type: | ReportedExposure, complex content

  Sub-divisions of this total expsoure.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="exposure" type="ReportedExposure"/>

quote

  Type: | BasicQuotation, complex content

  One or more numerical exposure values relating to the exposure category
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="quote" type="BasicQuotation"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.